Bug 233003 - perl-XML-LibXML registers parsers in wrong order (with solution)
perl-XML-LibXML registers parsers in wrong order (with solution)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: perl-XML-LibXML (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Depends On:
  Show dependency treegraph
Reported: 2007-03-19 16:32 EDT by Jos Vos
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-05 16:33:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2007-03-19 16:32:39 EDT
Description of problem:
In the trigger script for perl-XML-SAX, the parsers are registered in this
order: XML::LibXML::SAX::Parser XML::LibXML::SAX XML::SAX::PurePerl.  This
results in XML::SAX::PurePerl being the default parser and this causes problems
when building perl-XML-Simple.  See also bug #191911, which is covering this
problem in FC6, but the solution proposed there is not sufficient, as the
scripts/triggers have been changed in the RHEL5 spec packages.

Version-Release number of selected component (if applicable):

How reproducible:
Rebuild the perl-XML-Simple RPM and see how that fails.

Change the order in the trigger script into: XML::SAX::PurePerl
XML::LibXML::SAX::Parser XML::LibXML::SAX.  This makes perl-XML-Simple build ok
and makes the order in the ParserDetails.ini the same as on a typical FC6 install.
Comment 1 RHEL Product and Program Management 2007-06-05 16:33:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Since this
bugzilla is in a component that is not approved for the current
release, it has been closed with resolution deferred.  You may
reopen this bugzilla for consideration in the next release.

Note You need to log in before you can comment on or make changes to this bug.